
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Flex 扩展combobox 实现复选功能 / iVAN</title>

    <meta name="description" content="Flex 扩展combobox 实现复选功能 原文:Flex 扩展combobox 实现复选功能      前段时间,老大召唤,给个任务,研究一下flex的combobox控件 实现复选功能(flex自带的combobox控件不可以复选),小兵能力有限,哪里可以扩展呀,网上看了别人写的,发现总是有点瑕疵(关键是还没有注释这个是最蛋疼的):      1.静态数据源正常,动态数据源 第一次点击时 没有取到数据,下拉列表为空.      2. ROLL_OVER  ROLL_OUT 监听混乱,选择一项后下拉框突然收缩了,或者选择几项下拉框突然收">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Flex 扩展combobox 实现复选功能</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="http://www.cnblogs.com/ashleyboy/p/3669269.html" rel="external nofollow noreferrer">Flex 扩展combobox 实现复选功能</a><br />
<br />     前段时间，老大召唤，给个任务，研究一下flex的combobox控件 实现复选功能(flex自带的combobox控件不可以复选)，小兵能力有限，哪里可以扩展呀，网上看了别人写的，发现总是有点瑕疵(关键是还没有注释这个是最蛋疼的):</p>
<p>     1.静态数据源正常，动态数据源 第一次点击时 没有取到数据，下拉列表为空。</p>
<p>     2. ROLL_OVER  ROLL_OUT 监听混乱，选择一项后下拉框突然收缩了，或者选择几项下拉框突然收缩了。</p>
<p>     3.返回值有误，显示选中的项 与 实际返回选中的项不符</p>
<p>分析：</p>
<p>  ROLL_OVER 与 ROLL_OUT 区别：</p>
<p>  ROLL_OVER：就是鼠标从外部移入该组件才调用， ROLL_OUT 就是鼠标移到该组件外部才调用</p>
<p>另外 其他两个：MOUSE_OVER 与MOUSE_OUT 区别类似</p>
<p>  ROLL_* 与MOUSE_* 的区别是：</p>
<p>    MOUSE_*：鼠标 进入/移 出该组件时会调度MOUSE_*事件，即使是从其子组件移到该组件依然会触发该事件</p>
<p>    ROLL_* ：鼠标从不是其子组件的其余组件中进入该组件时会调度ROLL_*事件</p>
<p>下面是扩展后的代码：</p>
<p>必要部分已经加上了注释</p>
<p>MultipleComboBox</p>
<pre>package common
{
    import flash.events.Event;
    import flash.events.MouseEvent;

    import mx.collections.ArrayCollection;
    import mx.controls.ComboBox;
    import mx.core.ClassFactory;
    import mx.events.FlexEvent;
    import mx.events.ListEvent;  

    public class MultipleComboBox extends ComboBox{
        private var mouseOut:Boolean=false;
       [Bindable]
        private var promptText:String="";   //复选框收缩后显示label的值
        private var selArr:Array=[];         //复选框选中值集合
        private var splitStr:String="/";    //选中多个值 以此分割
       public function MultipleComboBox(){
            super();
            this.addEventListener(FlexEvent.CREATION_COMPLETE,onCreateCompleteHandle);
            //多选ComboBox 内嵌CheckBox实现
            this.itemRenderer=new ClassFactory(CheckBoxItemRenderer);
        }
        private function onCreateCompleteHandle(event:FlexEvent):void{
            dropdown.allowMultipleSelection=true;
            close();
            //
            mouseOut=false; //置为false
        }
        //监听鼠标一入一出
        private function initListener():void{
            if(!dropdown.hasEventListener(MouseEvent.ROLL_OVER))
                dropdown.addEventListener(MouseEvent.ROLL_OVER,onRollOverHandle);
            if(!dropdown.hasEventListener(MouseEvent.ROLL_OUT))
                dropdown.addEventListener(MouseEvent.ROLL_OUT,onRollOutHandle);
        }
        private function onRollOverHandle(event:MouseEvent):void{
            mouseOut=false;
        }
        private var changeEvent:ListEvent;
        //ROLL_OUT 更改选中值集合
        private function onRollOutHandle(event:MouseEvent):void{
            var list:ArrayCollection=ArrayCollection(this.dataProvider);
            mouseOut=true;
            var selectedStr:String = "";  //复选框收缩后的label,此处以"/"分割显示选中的值
            selArr=[];//每次清空selArr保存的值
            for each(var obj:Object in list)  //遍历数据源，向selArr数组添加状态selected=true(选中)的值
            {
                if(obj.selected){
                    selectedStr += obj.Code+this.splitStr;
                    selArr.push(obj);
                }
            }
            this.selectedItems=selArr;
            this.promptText = selectedStr.substring(0,selectedStr.length -1) ;  

            close(); //鼠标移出 收缩
            //
            mouseOut=false; //置为false

            changeEvent= new ListEvent( ListEvent.CHANGE )
            dispatchEvent( changeEvent);
            trace(this.text);
        }
        //ComboBox 带有selectedItems属性 但只实现selectedItem，此处实现selectedItems
        public function set selectedItems(value:Array):void{
            if (dropdown){
                dropdown.selectedItems=value;
            }
            this.selArr=value;
        }  

        [Bindable("change")]
        public function get selectedItems():Array{
            return selArr;
       }
        override public function close(trigger:Event=null):void{
            //initListener();
            if (mouseOut){
                super.close(trigger);
            }
            this.textInput.text=promptText;
            this.toolTip = promptText;
            initListener();//此处需要从上面注释处调整到这里，
            //因为 CheckBoxItemRender中的 this.addEventListener(Event.CHANGE,onClickCheckBox)监听导致
            //基数次单击时mouseOut=true; 直接下拉框收缩
        }
        override public function set prompt(value:String):void{
            promptText=value;
        }
        public function set split(value:String):void
        {
            this.splitStr=value;
        }
        public function get split():String
        {
            return splitStr;
        }
    }
}</pre>
<p>CheckBoxItemRenderer：</p>
<pre>package common
{
    import flash.events.Event;

    import mx.collections.ArrayCollection;
    import mx.controls.CheckBox;
    import mx.controls.List;
    import mx.utils.ArrayUtil;

    import configuration.FormatConfig;

    public class CheckBoxItemRenderer extends CheckBox{

        /**存储当前列数据对象**/
        private var currData:Object; 

        public function CheckBoxItemRenderer(){
            super();
            this.addEventListener(Event.CHANGE,onClickCheckBox);
        }

        override public function set data(value:Object):void{
            if(value !=null)
            {
                this.selected = value.selected;
                this.currData = value;
                //此处CheckBox label显示code+name 可根据需要置
                this.label=value.Code+"  "+value.Name;
            }
            else
            {
                this.label=null;
            }
        }
        //此属性可设置 数据源任意一项不可选 （enabled）
        override public function set enabled(value:Boolean):void{  //
            if(currData){
                value=currData.enabled==false?false:true;
            }
            super.enabled=value;
        }
        /*更改被选中项的状态selected=true*/
        private function onClickCheckBox(e:Event):void{
            var list:ArrayCollection=ArrayCollection(List(this.parent.parent).dataProvider);//获取数据源
            for each(var obj:Object in list)
            {
                //label的值为数据源中code + name 拼接的 所以此处判断某一项是否被选中的条件看上去有点怪
                if((obj.Code+"  "+obj.Name)==this.label){
                    if(this.selected){
                        obj.selected=true;   //选中状态selected=true
                    }else{
                        obj.selected=false;  //为选好
                    }
                    //break;
                }
            }
        }
    }
}</pre>
<p>由于扩展的不够通用，所以使用的时候稍微做点处理</p>
<p>应用 Temp.mxml文件</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;mx:Module  xmlns:fx="http://ns.adobe.com/mxml/2009"
            xmlns:s="library://ns.adobe.com/flex/spark"
            xmlns:mx="library://ns.adobe.com/flex/mx"
            xmlns:common="common.*"
            creationComplete="module_creationCompleteHandler(event)"
            xmlns:mywebservice="services.mywebservice.*"&gt;
    &lt;fx:Script&gt;
        &lt;![CDATA[
            import mx.rpc.soap.WebService;
            import spark.components.Scroller;
            import spark.components.VScrollBar;
            import spark.events.IndexChangeEvent;

            [Bindable]
            private var datacbbSource:ArrayCollection;

            private function ShowSelectItems2():void{
                info2.text="";
                info2.text+="选中了 "+myCombox2.selectedItems.length+" 个选项！\n";
                for each(var item:Object in myCombox2.selectedItems){
                    info2.text+=ObjectUtil.toString(item)+"\n";
                }
            }

            var num=0;
            private function module_creationCompleteHandler(event:FlexEvent):void
            {
                GetDataResult.token = mywebservice.GetData(); //获取数据源
            }

            [Bindable]
            private var dataGrideSource:ArrayCollection;

            protected function GetAllShopsResult_resultHandler(event:ResultEvent):void
            {
                // TODO Auto-generated method stub
                var result:ArrayCollection=event.result as ArrayCollection;
                if (result == null || result.length == 0)
                {
                    return;
                }
                this.datacbbSource=new ArrayCollection();for each(var item in  result)
                {
                    datacbbSource.addItem({Code:item.Code,Name:item.Name,selected:false});
                }
            }

        ]]&gt;
    &lt;/fx:Script&gt;
    &lt;fx:Declarations&gt;
        &lt;s:CallResponder id="GetDataResult" result="GetDataResult_resultHandler(event)" /&gt;
        &lt;shopservice:MyWebService id="mywebService" /&gt;
    &lt;/fx:Declarations&gt;
    &lt;s:VGroup width="100%" height="100%" paddingLeft="10" paddingRight="10" paddingBottom="10" paddingTop="3"&gt;
        &lt;s:HGroup width="100%" color="black" verticalAlign="middle" height="296"&gt;
            &lt;common:MultipleComboBox width="200" id="myCombox2"  split=";"
                                     prompt="请选择" &gt;
                &lt;s:ArrayCollection list="{datacbbSource}"/&gt;
            &lt;/common:MultipleComboBox&gt;
            &lt;mx:Text id="info2"/&gt;
            &lt;s:Button label="点击查看选择数据" click="ShowSelectItems2()"/&gt;
        &lt;/s:HGroup&gt;
    &lt;/s:VGroup&gt;
&lt;/mx:Module &gt;</pre>
<p>运行结果就不上图了，下面这段</p>
<pre>for each(var item in  result)
{
     datacbbSource.addItem({Code:item.Code,Name:item.Name,selected:false});
}</pre>
<p>对数据源做了处理，强制转换成含有Code,Name,selected(默认值false)三个属性的对象，因为在CheckBoxItemRenderer.cs 和MultipleComboBox.cs文件中，<br />使用到的参数直接使用到了Code,Name,selected属性。最后虽然最终这个没有应用到项目中，为了以后用到时方便，记录一下。</p>
<p>继续充电中。。。。</p>
<p>扩展代码参考：<a href="http://liu-yi126.iteye.com/blog/1305494" rel="external nofollow noreferrer">http://liu-yi126.iteye.com/blog/1305494</a></p>
<pre> </pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 04:07:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/code/" title="code">code</a>, <a href="https://www.iamivan.net/tag/events/" title="events">events</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Flex 扩展combobox 实现复选功能的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWKxqEM.html" rel="bookmark">duilib 修复CTreeViewUI复选功能判断不准确的bug</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请说明出处,谢谢~~:http://blog.csdn.net/zhuhongshu/article/details/42265209         CTreeViewUI里面自带了复选的功能,但是复选功能存在bug:         1)当一个分组下面存在子项时,子项被手动全选后,分组的复选框没有自动变为选中状态                   2)当一个分组下面存在子项时,当所有子项都取消选中状态时,分组的复选框还是选中状态                分组的CTreeNodeU			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MywQ1Pz.html" rel="bookmark">Qt之QTableView添加复选框（QAbstractTableModel）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简述 使用QTableView,经常会遇到复选框,要实现一个好的复选框,除了常规的功能外,还应注意以下几点: 三态:不选/半选/全选 自定义风格(样式) 下面我们介绍一下常见的实现方式: 编辑委托. 方式:利用委托重载createEditor(),激活QCheckBox. 特点:必须双击/选中,才能显示CheckBox控件.一般不满足实际中的直接显示的需要. 使用QTableView的setIndexWidget(const QModelIndex &amp;index, QWidget *widget			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRm45p.html" rel="bookmark">win8系统消除文件复选框方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.打开win8桌面上的&quot;这台电脑&quot;,然后在工具栏上点击&quot;查看&quot;并在展开的工具里选择&quot;选项&quot;;如图: 2.打开&quot;文件夹选项&quot;,然后点击&quot;查看&quot;切换到查看页面,将&quot;使用复选框以选择项&quot;取消选择并确定即可消除文件夹复选功能,反之即开启.   Win8.1系统在很多细节方面更人性化了,用户会慢慢接受这些新功能,并大幅提高操作效率.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPGEoz.html" rel="bookmark">flex复选框和下拉列表的几种用法整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这几天接触了flex的很多控件,让我印象最深刻的就是控件的数据绑定几乎所有控件都可以这样做,基本上来说原理和html一样,我自己闲暇时间就整理了有关复选框可下拉的几种用法,下面就给大家分享一下. 1.复选框 这里我主要研究的该控件的全选,全不选,反选以及选中的操作,原理也就是也能用selected这个属性,true表示选中,只需遍历就能实现,此处我使用的是动态的复选框,页面代码如下 复制代码 代码如下: &lt;mx:VBox top=&quot;50&quot;&gt; &lt;mx:VBox&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgxJwb.html" rel="bookmark">flex复选框和下拉列表的几种用法整理&lowbar;Flex</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这几天接触了flex的很多控件,让我印象最深刻的就是控件的数据绑定几乎所有控件都可以这样做,基本上来说原理和html一样,我自己闲暇时间就整理了有关复选框可下拉的几种用法,下面就给大家分享一下. 1.复选框 这里我主要研究的该控件的全选,全不选,反选以及选中的操作,原理也就是也能用selected这个属性,true表示选中,只需遍历就能实现,此处我使用的是动态的复选框,页面代码如下 复制代码 代码如下: &lt;mx:VBox top=&quot;50&quot;&gt; &lt;mx:VBox&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yvE3z.html" rel="bookmark">JS实现CheckBox复选框全选全不选功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在网站的管理后台应用此功能居多,如一次性处理多个产品,或对文章的删除对产品的下架等处理,一条一条的点显然有一些麻烦,如果能每一行放一个checkbox,然后统一处理就好办的多了,今天我就用简单的篇幅来讲解一下这个功能的实现原理和实现过程. CheckBox控件就是我们一般所说的复选框,通常用于某选项的打开或关闭.大多数应用程序的&quot;设置&quot;对话框内均有此控件.我们看到的可以打勾的就是CheckBox. 该控件表明一个特定的状态(即选项)是选定 (on,值为1) 还是清除 (off,值为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjmZWNz.html" rel="bookmark">如何启用Win8系统中的复选框功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  用户用的是Win8系统,现在我想使用复选框功能,请问怎么在Windows8中使用复选框功能? 操作步骤 1. 打开&quot;回收站,鼠标左键点击&quot;查看&quot;,鼠标左键点击&quot;选项图标&quot;,参见下图 2. 打开&quot;文件夹选项&quot;,鼠标左键点击&quot;查看&quot;,鼠标左键点击&quot;使用复选框以选择项&quot;,参见下图			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm62oqz.html" rel="bookmark">基于jQuery实现复选框的全选 全不选 反选功能&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本代码是在众多的jQuery复选框功能代码中精选出来的,本人项目中使用的代码,这里分享给大家. jQuery代码: 复制代码 代码如下:         $(function(){             $(&quot;#checkedAll&quot;).click(function(){                 $('[name=items]:checkbox').attr('checked',true);             });             $(&quot;#check			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRKlWp.html" rel="bookmark">JS实现CheckBox复选框全选、不选或全不选功能&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CheckBox控件表明一个特定的状态(即选项)是选定 (on,值为1) 还是清除 (off,值为0).在应用程序中使用该控件为用户提供&quot;True/False&quot;或&quot;yes/no&quot;的选择.因为 CheckBox 彼此独立工作,所以用户可以同时选择任意多个 CheckBox,进行选项组合. CheckBox复选框JS实现全选.不选.全不选功能,很简单,具体内容如下 思路: 1.获取元素 2.给全选 不选 反选添加点击事件 3.用for循环checkbox 4.把chec			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaLgwz.html" rel="bookmark" class="title">金属按钮效果制作方法一则</a>
					<div>
						按钮 大家在网上可能经常会发现一些使用Photoshop来进行金属效果按钮制作的方法,而很多效果用FW来制作的话似乎就要很麻烦.实际上只要灵活运用FW自带的Eye Candy 4000 LE滤镜及其完 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnakWM.html" rel="bookmark" class="title">百度百科之形象打造</a>
					<div>
						我们知道百度百科是一座金矿,里面充满着各种各样的价值.比如高质量外链.稳定流量来源.形象打造等,这里笔者就详细诉说下百度百科对形象打造问题. 一.用户习惯从百科上了解详细资料 对于现在的我们,一个未知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4ww4jp.html" rel="bookmark" class="title">安装构建php环境</a>
					<div>
						安装构建环境 现在你可能至少已经有一个已安装的php, 并且已经使用它做基于web的应用开发了. 你可能已经从php.net下载了win32构建并运行在iis或windows版的apache上, 或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOgvLM.html" rel="bookmark" class="title">简易WWW服务器架设</a>
					<div>
						如果您是一位Linux爱好者,您可能已经掌握了基本的Linux的知识与操作,毫无疑问,您并不会去满足这样小小的成就:Linux为何如此的流行?其最大的特点莫过于功能强大,性能稳定的服务器应用了.像WW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrnWvp.html" rel="bookmark" class="title">Word 2010的放弃编辑数据功能</a>
					<div>
						在Word 2010文档中,用户可以启用&quot;放弃编辑数据&quot;功能,从而删除用于将已编辑的图片还原到其原始状态的数据,以减小包含图片的Word文件的大小,具体操作步骤如下所述: 第1步, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaq1JM.html" rel="bookmark" class="title">&lbrack;你必须知道的&period;NET&rsqb;第二十八回：说说Name这回事儿</a>
					<div>
						1 缘起 老赵在谈表达式树的缓存(2):由表达式树生成字符串 中提到,在描述Type信息时讨论FullName或者AssemblyQualifiedName提供完整的Type信息,虽是小话题,但却是值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WaLDb.html" rel="bookmark" class="title">豌豆荚备份文件在哪里</a>
					<div>
						  我们先来看看豌豆荚备份文件在哪里? 请点击豌豆荚右上角-「设置」-「自动备份」,你可以在「备份路径」中查看和修改备份路径. 请点击桌面的快捷方式「XX 的备份」,在弹出的窗口中查看你的备份文件.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WykAb.html" rel="bookmark" class="title">3G上网经常断线</a>
					<div>
						  1.最主要的原因是由于传输线路的质量问题引起的,质量不好就会出现杂波干扰数据通讯.可以换个地方试试,客户端的主界面中会提示网络的强度. 2.天线接触不好.检查天线的安装情况,看是否有接触不良的地方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo04Rb.html" rel="bookmark" class="title">20个高级Java面试题汇总</a>
					<div>
						这是一个高级Java面试系列题中的第一部分.这一部分论述了可变参数,断言,垃圾回收,初始化器,令牌化,日期,日历等等Java核心问题. 什么是可变参数? 断言的用途? 什么时候使用断言? 什么是垃圾回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjve6p.html" rel="bookmark" class="title">Hexo折腾记&mdash;&mdash;性能优化篇</a>
					<div>
						折腾Hexo的本来目的就是为了学习把性能优化到极致,由于水平有限,这里牵涉到的所谓的性能优化仅仅只是一些表面工夫,并不牵涉非常细节的前端性能. 另外,由于我朝特殊的网络环境,我使用的谷歌分析,以及Di ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7Lrvz.html" rel="bookmark" class="title">Aliware-MQ消息队列技术架构与最佳实践</a>
					<div>
						在阿里云生态日,阿里巴巴中间件产品专家不铭分享了&lt;Aliware-MQ消息队列&gt;.他从功能特性.技术架构.最佳实践.案例分析四个方面进行了分享.在分享中,他主要介绍了Aliware-MQ的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QqKDp.html" rel="bookmark" class="title">新手上路 关于输出一个值</a>
					<div>
						问题描述 在CS里面定义了一个inti=1;想在HTML中的TABLE指定的位置输出i的值怎么写啊?刚入门,多多指教! 解决方案 解决方案二:Response.Write(i.ToString()); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKKDRb.html" rel="bookmark" class="title">mybatis &plus;spring 整合时候出现了问题</a>
					<div>
						问题描述 mybatis +spring 整合时候出现了问题 异常:java.lang.ClassNotFoundException: org.apache.ibatis.session.SqlSes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL11Np.html" rel="bookmark" class="title">每日近万淘宝网店倒闭：投诉及违规处罚压力大</a>
					<div>
						年轻淘宝卖家&quot;过劳死&quot;折射出网店创业者的艰辛.记者昨日获悉,淘宝网每天停运或倒闭的卖家数量近万家,经营压力主要来自客户投诉以及平台违规处罚. 据中国电子商务研究中心发布的报告称,淘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1eYdz.html" rel="bookmark" class="title">互联网恶意木马Ｔｒｏｊａｎ＿Ｂｕｚｕｓ．ＦＹＵ在网络霸气横行</a>
					<div>
						硅谷网9月2日讯 Trojan.Win32.Buzus.fyu(&quot;Windows 内鬼&quot;)于2012年8月爆发.该病毒运行后会替换正常的Windows系统文件为病毒主程序,通过劫持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe11Lb.html" rel="bookmark" class="title">IDC排名：四川地区IDC综合实力排名前十</a>
					<div>
						四川省拥有的网民数量和网站数量都排在全国的前几位,数量的优势也加强了对网络基础设施的需求,因此四川IDC行业在西部是发展较好的省份之一. 在这里,IDC评述网(www.idcps.com )根据四川地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5kZZp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;亿&rdquo;起过新年 QQ空间传图22亿</a>
					<div>
						[硅谷网3月8日讯]红红火火的农历新年,追随着寒冬的脚步,已经http://www.aliyun.com/zixun/aggregation/39760.html&quot;&gt;渐行渐远.在热闹欢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjVAGM.html" rel="bookmark" class="title">新手请教，刚开始学习</a>
					<div>
						问题描述 我是新手,以前学过一些VC和VC++C#刚开始接触,请教下刚开始学习参考哪些资料会比较容易上手谢谢 解决方案 解决方案二:新手和新手是不一样的.要想学好编程,应该学好工科或者理科大学阶段的课 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE8Q2M.html" rel="bookmark" class="title">【硅谷连线】Twitter收购数据分析合作伙伴Gnip  思科业绩连跌</a>
					<div>
						中云网每天连线硅谷,呈现最新鲜资讯!这里的硅谷指的是国外具有典型性和创新性企业代表. 1. 思科业绩连跌不止 或再祭&quot;裁员大屠刀&quot; http://tech.ifeng.com/it ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5D0dp.html" rel="bookmark" class="title">当不了&OpenCurlyDoubleQuote;鲇鱼&rdquo;的虚拟运营商 出路或许在物联网？</a>
					<div>
						上图为蜗牛移动4G流量卡,5GB全国流量130元:下图为中国移动4G流量卡,5GB不同流量50元,但有限制条件 在多数用户眼中,虚商一词并不陌生,或多与电信诈骗等负面消息挂钩.目前,虚商发展已3年有余 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOwv2b.html" rel="bookmark" class="title">Java数据导出功能之导出Excel文件实例&lowbar;java</a>
					<div>
						在编程中经常需要使用到表格(报表)的处理主要以Excel表格为主.下面给出用java写入数据到excel表格方法: 1.添加jar文件 java导入导出Excel文件要引入jxl.jar包,最关键的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL0lEM.html" rel="bookmark" class="title">C&plus;&plus;设计模式之备忘录模式&lowbar;C 语言</a>
					<div>
						前言 又到年底了,也静不下心来写代码了,大家都很浮躁:翻出经典的&lt;仙剑奇侠传&gt;玩一会:又要打大BOSS,先存一下档吧.这是我的习惯,在打大BOSS之前,都要先存一下档,要是打赢了,就再存一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7A5Db.html" rel="bookmark" class="title">oracle 中常用时间日期函数使用详解</a>
					<div>
						--日期相关函数 --1.day(date_time),返回一个整数,表示指定日期的datepart中的日子.month(date_time),year(date_time)类似 SELECT DAY ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqPROp.html" rel="bookmark" class="title">exception-严重&colon; Exception sending context initialized event</a>
					<div>
						问题描述 严重: Exception sending context initialized event 试了好多办法求帮助 严重: Exception sending context initial ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWrPap.html" rel="bookmark" class="title">myeclipse创建两个项目，用webservice实现请求返回数据</a>
					<div>
						问题描述 myeclipse创建两个项目,用webservice实现请求返回数据 想写一个用myeclipse创建的两个项目,一个发送http请求,一个接收并返回数据,用webservice怎么写,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NPmvp.html" rel="bookmark" class="title">新华三陈振宽：Synergy，重新定义新一代融合架构</a>
					<div>
						在数字化转型的浪潮中, IT系统所扮演的角度越来越重要.当前,企业不仅要求IT基础架构能够应对传统的应用和负载,而且还必须能够为新兴业务提供足够的创新动力,这就要求企业必须对现有的传统IT系统进行全面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YoWLb.html" rel="bookmark" class="title">智慧前海建设在即东华软件赛为智能等纷纷进驻</a>
					<div>
						大智慧阿思达克通讯社9月24日讯,智慧前海建设在即,东华软件(002065.SZ).赛为智能(300044.SZ)等软件公司近日纷纷&quot;进驻&quot;深圳前海.分析指未来市场空间巨大,东华软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wP0Xz.html" rel="bookmark" class="title">有没有VC高手愿意赚点外块的？</a>
					<div>
						问题描述 有一个已经完成的VC.Net开发的软件,原开发人有其他事情,有几个月时间不能做继续做这个软件,打算找个懂VC有仪器仪表方面开发经验的人来接手(一定要能迅速接受的,形式无所谓),事情不多,可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXNqRQb.html" rel="bookmark" class="title">喜获NSS Labs推荐 山石网科RSA备受瞩目</a>
					<div>
						3月1日,综合网络安全厂商山石网科携虚拟云安全防护解决方案.最新版智能下一代防火墙亮相美国RSA2016大会,全球最知名的独立安全研究和评测机构NSS Labs在大会现场授予山石网科&quot;下一代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3EkBwp.html" rel="bookmark" class="title">苹果将于10月21日发布新款iPad及操作系统</a>
					<div>
						比特网(ChinaByte)9月18日消息,据国外http://www.aliyun.com/zixun/aggregation/31646.html&quot;&gt;媒体报道,苹果公司将于10月2 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.037 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
